[arch-commits] Commit in libmongoc/repos (4 files)

Felix Yan felixonmars at archlinux.org
Thu Oct 12 08:00:50 UTC 2017


    Date: Thursday, October 12, 2017 @ 08:00:49
  Author: felixonmars
Revision: 262420

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  libmongoc/repos/community-testing-i686/
  libmongoc/repos/community-testing-i686/PKGBUILD
    (from rev 262419, libmongoc/trunk/PKGBUILD)
  libmongoc/repos/community-testing-x86_64/
  libmongoc/repos/community-testing-x86_64/PKGBUILD
    (from rev 262419, libmongoc/trunk/PKGBUILD)

-----------------------------------+
 community-testing-i686/PKGBUILD   |   37 ++++++++++++++++++++++++++++++++++++
 community-testing-x86_64/PKGBUILD |   37 ++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

Copied: libmongoc/repos/community-testing-i686/PKGBUILD (from rev 262419, libmongoc/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2017-10-12 08:00:49 UTC (rev 262420)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=libmongoc
+pkgver=1.8.1
+pkgrel=1
+pkgdesc='A client library written in C for MongoDB'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org/display/DOCS/C+Language+Center'
+license=('Apache')
+depends=('libbson' 'libsasl')
+checkdepends=('python-pifpaf')
+checkdepends_x86_64=('mongodb')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mongodb/mongo-c-driver/archive/$pkgver.tar.gz")
+sha512sums=('4bc6d864d35d77cf6175a9092c0e77fcd08353fedccef1494c0ee0add4632c6055b674aa19659cabeb0454848c2654902bb213d08caebf96637d2d70023ac345')
+
+prepare() {
+  cd mongo-c-driver-$pkgver
+  # Remove check for bundled libbson
+  sed -i 's|src/libbson/autogen.sh|/usr/bin/true|' autogen.sh
+}
+
+build() {
+  cd mongo-c-driver-$pkgver
+  PTHREAD_LIBS=-pthread ./autogen.sh --prefix=/usr
+  make
+}
+
+check() {
+  cd mongo-c-driver-$pkgver
+  pifpaf run mongodb --port 27017 make test || warning "Tests failed"
+}
+
+package() {
+  cd mongo-c-driver-$pkgver
+  make DESTDIR="$pkgdir/" install
+}

Copied: libmongoc/repos/community-testing-x86_64/PKGBUILD (from rev 262419, libmongoc/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2017-10-12 08:00:49 UTC (rev 262420)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=libmongoc
+pkgver=1.8.1
+pkgrel=1
+pkgdesc='A client library written in C for MongoDB'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org/display/DOCS/C+Language+Center'
+license=('Apache')
+depends=('libbson' 'libsasl')
+checkdepends=('python-pifpaf')
+checkdepends_x86_64=('mongodb')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mongodb/mongo-c-driver/archive/$pkgver.tar.gz")
+sha512sums=('4bc6d864d35d77cf6175a9092c0e77fcd08353fedccef1494c0ee0add4632c6055b674aa19659cabeb0454848c2654902bb213d08caebf96637d2d70023ac345')
+
+prepare() {
+  cd mongo-c-driver-$pkgver
+  # Remove check for bundled libbson
+  sed -i 's|src/libbson/autogen.sh|/usr/bin/true|' autogen.sh
+}
+
+build() {
+  cd mongo-c-driver-$pkgver
+  PTHREAD_LIBS=-pthread ./autogen.sh --prefix=/usr
+  make
+}
+
+check() {
+  cd mongo-c-driver-$pkgver
+  pifpaf run mongodb --port 27017 make test || warning "Tests failed"
+}
+
+package() {
+  cd mongo-c-driver-$pkgver
+  make DESTDIR="$pkgdir/" install
+}



More information about the arch-commits mailing list